#include <iostream>
#include <vector>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);cin.tie(0);
    int n,l;
    cin>>n>>l;
    vector<int> niz(n);
    for(int i=0;i<n;i++)cin>>niz[i];
    int broj=-1;
    for(int i=0;i<n;i++){
        if(niz[i]<=l){broj=i+1;break;}
    }
    cout<<broj<<endl;
    return 0;
}